clc
clear all
close all
warning off

load('yeganeh_TSMC_ok.mat');  
load('yeganeh_supertwist_ok.mat');  
load('Hojat_Fasle4sliding.mat');  

% Power plot
figure;
subplot(311);
plot(t_1, P_SMC_1, 'linewidth', 2, 'DisplayName', 'SMC_1');
grid on;
xlabel('Time (seconds)');
ylabel('Power');
legend('Show');
subplot(312);
plot(t_2, P_SMC_2, 'linewidth', 2, 'DisplayName', 'SMC_2');
grid on;
xlabel('Time (seconds)');
ylabel('Power');
legend('Show');
subplot(313);
plot(t_3, P_SMC_3, 'linewidth', 2, 'DisplayName', 'SMC_3');
grid on;
xlabel('Time (seconds)');
ylabel('Power');
legend('Show');

% Input plot
figure;
subplot(311);
plot(t_1, U_SMC_1, 'linewidth', 2, 'DisplayName', 'SMC_1');
grid on;
xlabel('Time (seconds)');
ylabel('Input');
legend('Show');
subplot(312);
plot(t_2, U_SMC_2, 'linewidth', 2, 'DisplayName', 'SMC_2');
grid on;
xlabel('Time (seconds)');
ylabel('Input');
legend('Show');
subplot(313);
plot(t_3, U_SMC_3, 'linewidth', 2, 'DisplayName', 'SMC_3');
grid on;
xlabel('Time (seconds)');
ylabel('Input');
legend('Show');

% Sliding surface plot
figure;
subplot(311);
plot(t_1, S_SMC_1, 'linewidth', 2, 'DisplayName', 'SMC_1');
grid on;
xlabel('Time (seconds)');
ylabel('Sliding Surface');
legend('Show');
subplot(312);
plot(t_2, S_SMC_2, 'linewidth', 2, 'DisplayName', 'SMC_2');
grid on;
xlabel('Time (seconds)');
ylabel('Sliding Surface');
legend('Show');
subplot(313);
plot(t_3, S_SMC_3, 'linewidth', 2, 'DisplayName', 'SMC_3');
grid on;
xlabel('Time (seconds)');
ylabel('Sliding Surface');
legend('Show');

% Current plot
figure;
subplot(311);
plot(t_1, I_SMC_1, 'linewidth', 2, 'DisplayName', 'SMC_1');
grid on;
xlabel('Time (seconds)');
ylabel('Current');
legend('Show');
subplot(312);
plot(t_2, I_SMC_2, 'linewidth', 2, 'DisplayName', 'SMC_2');
grid on;
xlabel('Time (seconds)');
ylabel('Current');
legend('Show');
subplot(313);
plot(t_3, I_SMC_3, 'linewidth', 2, 'DisplayName', 'SMC_3');
grid on;
xlabel('Time (seconds)');
ylabel('Current');
legend('Show');

% Voltage plot
figure;
subplot(311);
plot(t_1, V_SMC_1, 'linewidth', 2, 'DisplayName', 'SMC_1');
grid on;
xlabel('Time (seconds)');
ylabel('Voltage');
legend('Show');
subplot(312);
plot(t_2, V_SMC_2, 'linewidth', 2, 'DisplayName', 'SMC_2');
grid on;
xlabel('Time (seconds)');
ylabel('Voltage');
legend('Show');
subplot(313);
plot(t_3, V_SMC_3, 'linewidth', 2, 'DisplayName', 'SMC_3');
grid on;
xlabel('Time (seconds)');
ylabel('Voltage');
legend('Show');




% Voltage plot
figure;

plot(t_1, V_SMC_1,t_2, V_SMC_2,t_3, V_SMC_3, 'linewidth', 2, 'DisplayName', 'SMC_1');
grid on;
xlabel('Time (seconds)');
ylabel('Voltage');
legend('Show');
